1.0
1.0
get /v1/clusters/{cluster_id}/log-export-configs
Description
List Log Export Configs.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| query | type optional | Log type Example : alert | any of [enum (alert, audit, slow), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogExportConfigListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/log-export-configs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"bucket_name": "examplebucket",
"delete_on_export": true,
"is_bucket_deleted": false,
"is_registered": true,
"log_label": "DB Alert Log",
"log_type": "alert",
"schedule_day_of_month": "28",
"schedule_day_of_week": "MON",
"schedule_frequency_type": "DAY",
"schedule_hour": "12"
}
],
"count": 1
}